Qyra
ReferenceProjects

List explores

Get all explores for a project

GET/api/v1/projects/{projectUuid}/explores

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": [
    {
      "name": "string",
      "label": "string",
      "type": "virtual",
      "tags": [
        "string"
      ],
      "warnings": [
        {
          "message": "string",
          "type": "METADATA_PARSE_ERROR"
        }
      ],
      "groupLabel": "string",
      "groups": [
        "string"
      ],
      "aiHint": "string",
      "preAggregateSource": {
        "externalTable": "string",
        "preAggregateName": "string",
        "sourceExploreName": "string"
      },
      "externalSource": {
        "sourceType": "csv",
        "tableUuid": "string",
        "sourceUuid": "string"
      },
      "databaseName": "string",
      "schemaName": "string",
      "description": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}